# std::generator<Ref,V,Allocator>::promise_type::initial_suspend

From cppreference.com
< cpp‎ | coroutine‎ | generator‎ | promise type

std::suspend_always initial_suspend() const noexcept; |  | (since C++23)

Informs that `std::generator` always starts lazily (in suspended state).

Equivalent to return std::suspend_always {};.

### Return value

An awaitable object.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/coroutine/generator/promise_type/initial_suspend&oldid=178283"